Summary: GtkHTML is a HTML rendering/editing library
Name: gtkhtml
Version: 1.1.10
Release: alt2
License: GPL
Group: Graphical desktop/GNOME
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/%name-%version.tar.bz2
#Patch: gtkhtml-1.1.8-font.patch
Url: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/
Packager: Nazar Yurpeak <phoenix@altlinux.org>

Requires: %name = %version

# Automatically added by buildreq on Mon Oct 27 2003
BuildRequires: ORBit-devel XFree86-devel docbook-dtds docbook-style-dsssl esound-devel freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel gtk-doc imlib-devel libGConf-devel libOpenSP libaudiofile-devel libbonobo-devel libcapplet-devel libdb1-devel libgal-devel libghttp-devel libglade-devel libgnomeprint-devel libpopt-devel libwrap-devel libxml-devel oaf-devel openjade sgml-common sgmltools-lite zlib-devel

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n lib%name
Summary: Libraries for GtkHTML
Group: System/Libraries
Requires: libgal >= 0.19

%description -n lib%name
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n lib%name-devel
Provides: lib%name-devel
Summary: Development libraries, header files and utilities for GtkHTML
Group: Development/GNOME and GTK+
Requires: lib%name = %version

%description -n lib%name-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%package -n lib%name-devel-static
Provides: lib%name-devel-static
Summary: Static development libraries for GtkHTML
Group: Development/GNOME and GTK+
Requires: lib%name = %version, lib%name-devel = %version

%description -n lib%name-devel-static
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop statically linked
applications with GtkHTML.

%prep
%setup -q
#%patch -p1

%build
%configure --with-gconf --with-bonobo

%make

%install
#makeinstall
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%_datadir/applications
cp  $RPM_BUILD_ROOT%_datadir/control-center/Documents/* $RPM_BUILD_ROOT%_datadir/applications

mkdir -p $RPM_BUILD_ROOT%_menudir

cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%_bindir/gtkhtml-properties-capplet" \
  needs="gnome" section="Configuration/Gnome" title="HTML Viewer" \
  longtitle="HTML Viewer properties"

EOF
%find_lang %name-1.1

%post
%update_menus

%postun
%clean_menus

%post -p /sbin/ldconfig -n lib%name

%postun -p /sbin/ldconfig -n lib%name

%files -f %name-1.1.lang
%doc  ChangeLog INSTALL NEWS README TODO
%_bindir/*
%_libdir/bonobo/plugin/*.so
%_datadir/gtkhtml-1.1
#{_datadir}/gnome/apps/Settings/Documents/*.desktop
%_datadir/applications/*.desktop
%_datadir/gnome/*
%_datadir/control-center/*
%_datadir/oaf/*
#{_sysconfdir}/CORBA/servers/*.gnorba
%_menudir/*

%files -n lib%name
%doc AUTHORS COPYING
%_libdir/*.so.*

%files -n lib%name-devel
#%_libdir/*.la
%_libdir/*.so
%_includedir/gtkhtml-1.1
#%_libdir/bonobo/plugin/*.la
%_libdir/pkgconfig/*.pc

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/bonobo/plugin/*.a

%changelog
* Fri Dec 19 2003 Nazar Yurpeak <phoenix@altlinux.org> 1.1.10-alt2
- removed .la

* Mon Oct 27 2003 Nazar Yurpeak <phoenix@altlinux.org> 1.1.10-alt1
- 1.1.10

* Tue Apr 01 2003 AEN <aen@altlinux.ru> 1.1.8-alt2
- font patch from Ettore Perazzoli

* Sat Feb 15 2003 AEN <aen@altlinux.ru> 1.1.8-alt1
- new version

* Mon Dec 23 2002 AEN <aen@altlinux.ru> 1.1.7-alt1
- new version

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 1.1.6-alt1
- new version

* Tue Oct 22 2002 AEN <aen@altlinux.ru> 1.0.4-alt2
- rebuilt with G2 libs

* Mon Jun 24 2002 AEN <aen@logic.ru> 1.0.4-alt1
- russian translation from Leon (leon@blackcatlinux.com) removed
- wrong Leon's address in changelog (Mon Jan 21) fixed
- new version

* Mon May 13 2002 AEN <aen@logic.ru> 1.0.3-alt1
- new version

* Fri Mar 15 2002 AEN <aen@logic.ru> 1.0.1-alt4
- BuildRequires on gnome-libs-devel fixed

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.0.1-alt3
- rebuild with convdesk

* Mon Jan 21 2002 AEN <aen@logic.ru> 1.0.1-alt2
- russian translation from Leon (leon@blackcatlinux.com)

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version

* Wed Dec 5 2001 AEN <aen@logic.ru> 1.0-alt1
- release

* Mon Nov 19 2001 AEN <aen@logic.ru> 0.16.1-alt3
- fixes fron CVS, built with gconf

* Thu Nov 15 2001 AEN <aen@logic.ru> 0.16.1-alt2
- built w/o GConf

* Thu Nov 15 2001 AEN <aen@logic.ru> 0.16.1-alt1
- new version
- gconf patch (fix compilation error)

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.16.0-alt2
- fontset patch from MDK

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.16.0-alt1
- new release

* Fri Oct 26 2001 AEN <aen@logic.ru> 0.16.0-alt0.1
- new sources from CVS

* Tue Oct 9 2001 AEN <aen@logic.ru> 0.14.0-alt1
- new version

* Thu Sep 06 2001 AEN <aen@logic.ru> 0.12.0-alt2
- build w/o test (thnx to Sergey Vlasov)

* Wed Sep 5 2001 AEN <aen@logic.ru> 0.12.0-alt1
- new release
- use oaf-slay at pre-install

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.11.1-alt1
- new release

* Wed Jul 18 2001 AEN <aen@logic.ru> 0.10.1-alt1
- new release

* Wed Jul 18 2001 AEN <aen@logic.ru> 0.10.0-alt1
- new release

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.9.99.1-alt1
- new snapshot

* Thu May 24 2001 AEN <aen@logic.ru> 0.9.3-alt2
- new snapshot

* Thu May 24 2001 AEN <aen@logic.ru> 0.9.3-alt1
- build 0.9.3+ from cvs

* Mon May 21 2001 AEN <aen@logic.ru> 0.9.2-alt2
- rebuild with libgal-0.8

* Fri May 18 2001 AEN <aen@logic.ru> 0.9.2-alt1
- new version
* Wed May 15 2001 AEN <aen@logic.ru> 0.8.3-alt3
- build conflicts with libxml2 removed

* Tue May 15 2001 Alexander Bokovoy <ab@altlinux.ru> 0.8.3-alt2
- Rebuild with new gal
- Some dependencies fixed (ghttp)
- Static libraries moved to libgtkhtml-devel-static

* Sat Apr 7 2001 AEN <aen@logic.ru> 0.8.3-alt1
- 0.8.3

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8.2-ipl2mdk
- rebuild with bonobo-0.37

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8.2-ipl1mdk
- 0.8.2
- build with new gal
* Sat Dec 16 2000 AEN <aen@logic.ru>
- rebuild with gal-0.4.1
* Thu Dec 14 2000 AEN <aen@logic.ru>
- 0.8
- build with bonobo-0.30
* Thu Dec 14 2000 AEN <aen@logic.ru>
- adopted for RE
- build with gal-0.3

* Fri Dec  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Correct build requires until upstream has upgrade to new bonobo

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Rebuild with new gcc
- Split package

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7
- add menu entry

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1 (merged from helix_3 package)
- compiled with pspell support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-3mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- BM + macroszification
- compiled without gconf (since its API is not yet stable)
- added missing files for oaf/html-editor-component (needed for Evolution)

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- Packaged for Mandrake

